﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.PartInfo;
@using Portal.Models.Globals;

@model Toyota.Common.Web.MVC.ModelHolder
@*@using (Html.BeginForm("PartialLPOPConfirmation", "SupplierProfile", FormMethod.Post, new { enctype = "multipart/form-data" }))
{*@
<table cellpadding="0" cellspacing="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier Code TMMIN";

                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td> 
        <td>
            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtSuppCodeTmmin";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = Unit.Pixel(108);
                        settings.Properties.MaxLength = 50;

                    }
                ).GetHtml()
        </td>
        
     <td style="width:20px"></td> @* column spacing *@

        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Supplier Plant TMMIN";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
            settings.Name = "txtSuppPlantTmmin";
            settings.ControlStyle.Wrap = DefaultBoolean.False;
            settings.Width = Unit.Pixel(108);
            settings.Properties.MaxLength = 50;

            }
            ).GetHtml()
        </td>
   </tr>  
    <tr style="height:5px;"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
            label.ControlStyle.CssClass = "Label";
            label.Text = "Supplier Code ADM";
            label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
            settings.Name = "txtSuppCodeADM";
            settings.ControlStyle.Wrap = DefaultBoolean.False;
            settings.Width = Unit.Pixel(108);
            settings.Properties.MaxLength = 50;

            }).GetHtml()
        </td>

        <td style="width:20px"></td> @* column spacing *@

        <td>
            @Html.DevExpress().Label(
            label =>
            {
            label.ControlStyle.CssClass = "Label";
            label.Text = "Supplier Plant ADM";
            label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
            settings =>
            {
            settings.Name = "txtSuppPlantADM";
            settings.ControlStyle.Wrap = DefaultBoolean.False;
            settings.Width = Unit.Pixel(108);
            settings.Properties.MaxLength = 50;

            }).GetHtml()
        </td>
    </tr>      
    <tr style="height:5px;"></tr> @* row spacing *@  
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td align="right">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSearchSuppConver";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "SearchData";
                }).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnClearSuppConv";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    //button.ClientSideEvents.Click = "ClearItem";
                }).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnDownloadSuppConv";
                    button.Text = "Download";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "DwonloadDataSupp";
                }).GetHtml()
            @*@Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnUploadSuppConv";
                    button.Text = "Upload";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    // button.ClientSideEvents.Click = "ClearItem";
                }).GetHtml()*@

            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnAddSuppConv";
                    button.Text = "Add";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "AddArea";
                }
            ).GetHtml()
        </td>

    </tr>
</table>
